@anonymous-piwik-user opened this Issue on June 3rd 2012

since i upgraded to 1.8 i tried to create a goal
after submitting i got an error that allow_multiple field doesn't exist in _goal table

so i created manually

ALTER TABLE `prefix_goal` ADD `allow_multiple` INT( 4 ) NOT NULL AFTER `case_sensitive` ;

i report this now cause in 1.8.1 was no mention of this bug
Keywords: sql, field, missing

@mattab commented on June 4th 2012 Owner

Probably the updates files were not uploaded correctly, thanks for the report, make sure all files are uploaded and problem should not happen again

@anonymous-piwik-user commented on June 4th 2012

dude, i deleted the old install without config/config.php and uploaded 1.8 version

allow_multiple wasn't created after upgrade

@robocoder commented on June 5th 2012 Contributor

That's not a supported upgrade path.

When there's no config.php, Piwik re-enters into installation mode. We should check that Piwik_Version::VERSION === Piwik_GetOption('core.version') before offering to reuse existing tables.

(allow_multiple was added in Piwik 1.2)

This Issue was closed on June 5th 2012
Powered by GitHub Issue Mirror